Method: organizations.revoke

Revokes a given token by following OAuth 2.0 Token Revocation. This method invalidates the provided token, preventing its future use. This API only revokes refresh tokens issued for workforce pools.

HTTP request

POST https://cloudoauth.googleapis.com/v1/{parent=organizations/*}/revoke

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Optional. The resource name of the parent organization. Format: organizations/{organization_id}. This field is populated only for tenant-specific token revocation requests.

Request body

The request body contains data with the following structure:

JSON representation
{
  "token": string,
  "tokenTypeHint": string
}
Fields
token

string

Required. The OAuth 2.0 security token to revoke. Only refresh tokens are supported.

tokenTypeHint

string

Optional. The type of the given token. The only supported value is refresh_token.

Response body

If successful, the response body is empty.